Bug 18087 - Clarification on File type when using file of biblionumbers to export data
Summary: Clarification on File type when using file of biblionumbers to export data
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Joy Nelson
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18312 18704
  Show dependency treegraph
 
Reported: 2017-02-08 21:01 UTC by Joy Nelson
Modified: 2017-05-30 19:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (1.47 KB, patch)
2017-02-09 19:50 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (1.52 KB, patch)
2017-02-10 08:52 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.17 KB, patch)
2017-02-10 16:03 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.17 KB, patch)
2017-02-10 20:40 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18087: Handle invalid filetypes (2.54 KB, patch)
2017-02-14 10:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.23 KB, patch)
2017-02-17 22:49 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.17 KB, patch)
2017-02-22 16:43 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 18087: Handle invalid filetypes (2.60 KB, patch)
2017-02-22 16:50 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.23 KB, patch)
2017-02-22 16:51 UTC, Joy Nelson
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.22 KB, patch)
2017-02-24 09:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18087: Handle invalid filetypes (2.63 KB, patch)
2017-02-24 09:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18087 - Clarification on File type when using file of biblionumbers to export data (2.32 KB, patch)
2017-02-24 10:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18087: Handle invalid filetypes (2.73 KB, patch)
2017-02-24 10:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2017-02-08 21:01:44 UTC
It is not clear what type of file can be used when uploading a file of biblionumbers in the Export Data screen.  

Go to Tools->Export Data
"Use a file
File containing a list of biblio numbers with one biblio number per line. This list works as a filter: it is compatible with other parameters."

Change requested:
Add details that .csv or .txt file is required. 

Why:
Users attempt to upload .xlsx .pdf or .doc files here.
This change will clarify what files can be used.
Comment 1 Joy Nelson 2017-02-09 19:50:40 UTC
Created attachment 60094 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
Comment 2 Claire Gravely 2017-02-10 08:52:24 UTC
Created attachment 60105 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Claire Gravely 2017-02-10 08:53:13 UTC
wondering if we should then also have the same for authority records?
Comment 4 Joy Nelson 2017-02-10 16:03:44 UTC
Created attachment 60120 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 5 Joy Nelson 2017-02-10 16:04:40 UTC
Hi Claire-
I've added the same text to the authority export string.  Take a look!

Thanks and great suggestions!
joy


(In reply to Claire Gravely from comment #3)
> wondering if we should then also have the same for authority records?
Comment 6 Claire Gravely 2017-02-10 20:40:40 UTC
Created attachment 60124 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 7 Jonathan Druart 2017-02-14 10:08:56 UTC
Created attachment 60177 [details] [review]
Bug 18087: Handle invalid filetypes

If an invalid file is used as biblionumber list, we should display a
message.

Test plan:
1/ Use csv, plain text files
=> Should work
2/ Use invalid files (binary files like pdf, doc*, xsl*, etc.)
=> Should not work and see a warning message.
Comment 8 Jonathan Druart 2017-02-14 10:10:03 UTC
Hi Joy,
I have added a check on the mimetype of the uploaded file, just in case.
Can you confirm it works as you would like?
Comment 9 Joy Nelson 2017-02-17 22:49:47 UTC
Created attachment 60431 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>
Comment 10 Jonathan Druart 2017-02-20 09:32:52 UTC
Joy, only the first patch has been signed off, could you confirm you tested both patches? :)
Comment 11 Joy Nelson 2017-02-22 16:43:08 UTC
Created attachment 60564 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 12 Joy Nelson 2017-02-22 16:50:41 UTC
Created attachment 60567 [details] [review]
Bug 18087: Handle invalid filetypes

If an invalid file is used as biblionumber list, we should display a
message.

Test plan:
1/ Use csv, plain text files
=> Should work
2/ Use invalid files (binary files like pdf, doc*, xsl*, etc.)
=> Should not work and see a warning message.

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>


 Current status: Signed Off
Comment 13 Joy Nelson 2017-02-22 16:51:17 UTC
Created attachment 60568 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>
Comment 14 Joy Nelson 2017-02-22 16:54:14 UTC
Ah, yes.  My error in the git bz attach command.  Took two tries, but I think I got it done!

Thanks!
joy

(In reply to Jonathan Druart from comment #10)
> Joy, only the first patch has been signed off, could you confirm you tested
> both patches? :)
Comment 15 Marcel de Rooy 2017-02-24 08:30:26 UTC
Why not check the extensions .csv and .txt in javascript when uploading?
The mime type check could stay.
I guess that application/octet-stream will allow a lot more files that you don't want here.
Note that line 77 contains a warning (debug). Please remove it.
Comment 16 Jonathan Druart 2017-02-24 09:59:02 UTC
Created attachment 60643 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>
Comment 17 Jonathan Druart 2017-02-24 09:59:06 UTC
Created attachment 60644 [details] [review]
Bug 18087: Handle invalid filetypes

If an invalid file is used as biblionumber list, we should display a
message.

Test plan:
1/ Use csv, plain text files
=> Should work
2/ Use invalid files (binary files like pdf, doc*, xsl*, etc.)
=> Should not work and see a warning message.

Amended patch after signoff: Remove one warn debug line

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>
Comment 18 Marcel de Rooy 2017-02-24 10:36:27 UTC
Created attachment 60645 [details] [review]
Bug 18087 - Clarification on File type when using file of biblionumbers to export data

Added a line to the screen  detailing the types of files that can be used to upload a list of biblionumbers.

Test plan:
1. Go to tools->export data
2. under File option,  (File types accepted: .csv and .txt)  should appear
3. Check both Bibliographic and Authority Export screens for this new string.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 19 Marcel de Rooy 2017-02-24 10:36:31 UTC
Created attachment 60646 [details] [review]
Bug 18087: Handle invalid filetypes

If an invalid file is used as biblionumber list, we should display a
message.

Test plan:
1/ Use csv, plain text files
=> Should work
2/ Use invalid files (binary files like pdf, doc*, xsl*, etc.)
=> Should not work and see a warning message.

Amended patch after signoff: Remove one warn debug line

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Marcel de Rooy 2017-02-24 10:38:39 UTC
Passed QA under the "Better than before"-pragma.
The extension thing is not a blocker and some people want to use files without extension for reasons they should explain themselves :)
Comment 21 Kyle M Hall 2017-03-03 17:08:02 UTC
Pushed to master for 17.05, thanks Joy, Jonathan!
Comment 22 Katrin Fischer 2017-03-12 22:32:57 UTC
These patches have been pushed to 16.11.x and will be in 16.11.05.
Comment 23 Jonathan Druart 2017-03-21 14:24:31 UTC
Introduced bug 18312.